Pular para o conteúdo principal
POST
/
v1
/
config
/
contexts
/
{contextId}
/
sources
Criar uma fonte de conciliação
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/config/contexts/{contextId}/sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Primary Bank Account",
  "type": "BANK",
  "config": {}
}
'
{
  "config": {},
  "contextId": "<string>",
  "createdAt": "<string>",
  "id": "<string>",
  "name": "<string>",
  "type": "LEDGER",
  "updatedAt": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication (format: "Bearer {token}")

Cabeçalhos

X-Request-Id
string

Um identificador único para rastrear a requisição entre serviços.

Parâmetros de caminho

contextId
string
obrigatório

O identificador único do contexto de conciliação.

Corpo

application/json

Payload de criação de fonte

name
string
obrigatório
Required string length: 1 - 50
Exemplo:

"Primary Bank Account"

type
enum<string>
obrigatório

Categoria da fonte de dados para conciliação

Opções disponíveis:
LEDGER,
BANK,
GATEWAY,
CUSTOM
Exemplo:

"BANK"

config
object

Resposta

Fonte criada com sucesso

config
object
contextId
string
createdAt
string
id
string
name
string
type
enum<string>

Categoria da fonte de dados para conciliação

Opções disponíveis:
LEDGER,
BANK,
GATEWAY,
CUSTOM
updatedAt
string